cmake_minimum_required(VERSION 3.31)

file(GLOB_RECURSE MY_SOURCES CONFIGURE_DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.c")

add_subdirectory("lib/glfw")
add_subdirectory("lib/glm")
add_subdirectory("lib/assimp")

project("game_engine")
add_executable("game_engine" "main.cpp"  "${MY_SOURCES}")
target_include_directories("game_engine" PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/include")
target_link_libraries("game_engine" "glfw" "glm" "assimp")
